org.keycloak.services.clientpolicy.executor

## Class SecureClientAuthenticatorExecutor.Configuration

- java.lang.Object
- - org.keycloak.representations.idm.ClientPolicyExecutorConfigurationRepresentation
  - - org.keycloak.services.clientpolicy.executor.SecureClientAuthenticatorExecutor.Configuration

- Enclosing class:
    SecureClientAuthenticatorExecutor

      public static class SecureClientAuthenticatorExecutor.Configuration
      extends ClientPolicyExecutorConfigurationRepresentation

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<String>` | `allowedClientAuthenticators`
    `protected String` | `defaultClientAuthenticator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Configuration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getAllowedClientAuthenticators()`
    `String` | `getDefaultClientAuthenticator()`
    `void` | `setAllowedClientAuthenticators(List<String> allowedClientAuthenticators)`
    `void` | `setDefaultClientAuthenticator(String defaultClientAuthenticator)`

    - ### Methods inherited from class org.keycloak.representations.idm.ClientPolicyExecutorConfigurationRepresentation

      `getConfigAsMap, setConfigAsMap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### allowedClientAuthenticators

          protected List<String> allowedClientAuthenticators

    - #### defaultClientAuthenticator

          protected String defaultClientAuthenticator

  - ### Constructor Detail

    - #### Configuration

          public Configuration()

  - ### Method Detail

    - #### getAllowedClientAuthenticators

          public List<String> getAllowedClientAuthenticators()

    - #### setAllowedClientAuthenticators

          public void setAllowedClientAuthenticators(List<String> allowedClientAuthenticators)

    - #### getDefaultClientAuthenticator

          public String getDefaultClientAuthenticator()

    - #### setDefaultClientAuthenticator

          public void setDefaultClientAuthenticator(String defaultClientAuthenticator)

Copyright © 2021 JBoss by Red Hat. All rights reserved.